package com.jscape.util.collections;

/**
 * @author Alex Usun
 */
public interface IntIterator {

    boolean hasNext();

    int next();

    void reset();

    class NullIterator
            implements IntIterator {

        public boolean hasNext() {
            return false;
        }

        public int next() {
            throw new IllegalStateException();
        }

        public void reset() {
        }
    }
}
